<?php
	
	session_start();
		include('../conectar.php'); 
		if($_SESSION['tipo_usu']=='a'  or $_SESSION['tipo_usu']=='c' ){

		}else{

			header('location:acceso_denegado.php');

		}
	
		
?>


<?php
include ("../conectar.php");
include ("../funciones/fechas.php");

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numfactura=$_POST["numfactura"];
//$estado=$_POST["cboEstados"];
$vehpla=$_POST["vehpla"];

$fechafin=$_POST["fechafin"];

//$remito=$_POST["remito"];
$numfactura2=$_POST["numfactura2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND facturas.cdgcli='$cdgcli'"; }
//if ($remito <> "") { $where.=" AND facturas.remito='$remito'"; }
if ($numfactura2 <> "") { $where.=" AND facturas.numfactura='$numfactura2'"; }
if ($dsccli <> "") { $where.=" AND web_0301.dsccli like '%".$dsccli."%'"; }
if ($numfactura <> "") { $where.=" AND codfactura='$numfactura'"; }
if ($vehpla <> "") { $where.=" AND facturas.vehpla='$vehpla'"; }
//if ($estado > "0") { $where.=" AND estado='$estado'"; }
if (($fechainicio<>"") and ($fechafin<>"")) {
	$where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
		$where.=" and fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
			$where.=" and fecha<='".$fechafin."'";
		}
	}
}

$where.=" ORDER BY codfactura DESC";
$query_busqueda="SELECT count(*) as filas FROM facturas,web_0301 WHERE facturas.borrado=0 AND facturas.cdgcli=web_0301.cdgcli AND ".$where;
$rs_busqueda=mysql_query($query_busqueda);
$filas=mysql_result($rs_busqueda,0,"filas");

$query_busqueda="SELECT * FROM facturas,web_0301 WHERE facturas.borrado=0 AND facturas.estado=1 AND facturas.cdgcli=web_0301.cdgcli AND ".$where;
$rs_busqueda=mysql_query($query_busqueda);

$totalfacturas=0;
while($row=mysql_fetch_array($rs_busqueda, MYSQL_ASSOC)){
	$totalfacturas+=$row["totalfactura"];
}

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_proforma(codfactura) {
			parent.location.href="ver_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<? echo $cadena_busqueda?>";
		}
		
		function modificar_proforma(codfactura,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<? echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
		function eliminar_proforma(codfactura) {
			if (confirm("Esta seguro de anular la factura ?")) {
				parent.location.href="eliminar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<? echo $cadena_busqueda?>";
			}
		}

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<? echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<? echo $totalfacturas?>">
				<? $iniciopagina=$_POST["iniciopagina"];
				if (empty($iniciopagina)) { $iniciopagina=$_GET["iniciopagina"]; } else { $iniciopagina=$iniciopagina-1;}
				if (empty($iniciopagina)) { $iniciopagina=0; }
				if ($iniciopagina>$filas) { $iniciopagina=0; }
					if ($filas > 0) { ?>
						<? $sel_resultado="SELECT codfactura,web_0301.dsccli as dsccli,web_0301.cdgcli as cdgcli,facturas.fecha as fecha,totalfactura,estado,vehpla FROM facturas,web_0301 WHERE facturas.borrado=0 AND facturas.cdgcli=web_0301.cdgcli AND ".$where;
						
						   $res_resultado=mysql_query($sel_resultado);
						   $contador=0;
						   $marcaestado=0;						   
						   while ($contador < mysql_num_rows($res_resultado)) { 
								
								$marcaestado=mysql_result($res_resultado,$contador,"estado");
								if (mysql_result($res_resultado,$contador,"estado") == 1) { $estado="Sin pagar"; } else { $estado="Pagada"; } 
								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td class="aCentro" width="2%"><? $contador+1;?></td>
								<td width="15%"><div align="left"><? echo mysql_result($res_resultado,$contador,"codfactura")?></div></td>
								<td width="9%"><div align="left"><? echo mysql_result($res_resultado,$contador,"cdgcli")?></div></td>	
								<td width="36%"><div align="le
</html>
